﻿
[v-cloak] {
    display: none;
}

a {
    text-decoration: none;
    cursor: pointer;
}

div, p, ul {
    padding: 0;
    margin: 0;
}

body {
    height: 100vh;
    margin: 0px;
    padding: 0px;
    font-family: "Helvetica Neue", "Helvetica", "Roboto", "Segoe UI", "Arial", "sans-serif";
    min-width: 1200px;
}

header {
    border-bottom: 1px solid #494949;
    height: 80px;
    background-color: #494949;
}

.nav {
    display: flex;
    max-width: 1200px;
    margin: 0 auto;
    height: 100%;
}

    .nav .logo {
        display: flex;
        align-items: center;
    }

        .nav .logo img {
            width: 140px;
        }

    .nav .menu {
        display: flex;
        height: 100%;
        /* padding-left: 14%;
        padding-right: 6%;*/
        text-align: right;
        justify-content: right;
        position: relative;
        width: 100%;
    }

        .nav .menu .menulist {
            width: 70%;
            justify-content: left;
            display: flex;
        }

            .nav .menu .menulist .firstMenu a span {
                color: #fff;
            }

@keyframes fade-in {
    0% {
        opacity: 0;
    }

    20% {
        opacity: 0.3;
    }

    30% {
        opacity: 0.5;
    }
    /*初始状态 透明度为0*/
    40% {
        opacity: 0.6;
    }

    67% {
        opacity: 0.8;
    }
    /*过渡状态 透明度为0*/
    100% {
        opacity: 1;
    }
    /*结束状态 透明度为1*/
}

@-webkit-keyframes fade-in { /*针对webkit内核*/
    0% {
        opacity: 0;
    }

    20% {
        opacity: 0.3;
    }

    30% {
        opacity: 0.5;
    }
    /*初始状态 透明度为0*/
    40% {
        opacity: 0.6;
    }

    67% {
        opacity: 0.8;
    }
    /*过渡状态 透明度为0*/
    100% {
        opacity: 1;
    }
}

a {
    color: #000;
}

.nav .menu .menulist .firstMenu .style1 {
    border-top: solid 3px #54545c;
    display: none;
    position: absolute;
    top: 100%;
    background: #fff;
    line-height: 40px;
    width: 80%;
    height: auto;
    margin-left: 30%;
    z-index: 100;
    animation: fade-in; /*动画名称*/
    animation-duration: 1.5s; /*动画持续时间*/
    -webkit-animation: fade-in 1.5s; /*针对webkit内核*/
}


    .nav .menu .menulist .firstMenu .style1 dt {
        background: #fff;
        line-height: 40px;
        float: left;
        width: 24%;
        padding-right: 1%;
        padding-bottom: 2%;
        height: 212px;
        /*max-height: 320px;*/
        text-align: left;
    }

    .nav .menu .menulist .firstMenu .style1 dd {
        margin: 0px;
    }

    .nav .menu .menulist .firstMenu .style1 dt p {
        margin: 0px;
        padding: 10px;
        color: #333;
        font-size: 16px;
        font-weight: bold;
        border-bottom: 1px solid #ccc;
    }

    .nav .menu .menulist .firstMenu .style1 dt .sub-menu {
        min-height: 80px;
    }

        .nav .menu .menulist .firstMenu .style1 dt .sub-menu dd a {
            color: #666;
            text-align: left;
            font-size: 15px;
            display: block;
            white-space: nowrap;
            text-overflow: ellipsis;
            overflow: hidden;
            padding: 0 10px;
        }

            .nav .menu .menulist .firstMenu .style1 dt .sub-menu dd a:hover {
                /*color: #60a9d7;*/
                background-color: #ebf2fa;
            }

.nav .menu .menulist .firstMenu .style2 {
    border-top: solid 3px #54545c;
    display: none;
    position: absolute;
    top: 100%;
    background: #fff;
    line-height: 40px;
    width: 180px;
    height: auto;
    z-index: 100;
    animation: fade-in; /*动画名称*/
    animation-duration: 1.5s; /*动画持续时间*/
    -webkit-animation: fade-in 1.5s; /*针对webkit内核*/
}

    .nav .menu .menulist .firstMenu .style2 .secondMenu {
        width: 100%;
        text-align: center;
        height: 40px;
        font-size: 14px;
    }

        .nav .menu .menulist .firstMenu .style2 .secondMenu:hover {
            /* color: #60a9d7*/
            background-color: #ebf2fa;
        }

.nav .menu .menulist .firstMenu:hover {
    color: red;
}

    .nav .menu .menulist .firstMenu:hover div {
        display: block;
    }

.nav .menu div {
    color: #000;
}

.nav .menu .firstMenu {
    width: 16.66%;
    font-size: 16px;
    color: #000;
    align-items: center;
    display: flex;
    cursor: pointer;
    height: 100%;
    justify-content: center;
}

.nav .search {
    display: flex;
    align-items: center;
    font-size: 24px;
    color: #fff;
    cursor: pointer;
}

.searchInput {
    height: 120px;
    width: 100%;
    background-color: rgb(0 0 0 / 60%);
    z-index: 9998;
    position: absolute;
}

    .searchInput .search_close {
        width: auto;
        height: auto;
        position: absolute;
        right: 0;
        top: 0;
        cursor: pointer;
        z-index: 10000;
        text-align: right;
        color: #fff;
        /*background: rgba(178, 178, 178,.5);*/
        font-size: 23px;
        padding: 10px;
    }

    .searchInput .input {
        display: flex;
        justify-content: center;
        align-items: center;
        height: 100%;
    }

        .searchInput .input input, .searchInput .input input:focus {
            display: inline-block;
            height: 40px;
            width: 500px;
            line-height: inherit;
            border-width: 1px;
            border-style: solid;
            border-color: #f0f0f0;
            padding-left: 25px;
            padding-right: 5px;
            border-top-left-radius: 5px;
            border-bottom-left-radius: 5px;
            outline: 0;
        }

        .searchInput .input span {
            width: auto;
            height: 42px;
            display: inline-block;
            vertical-align: middle;
            font-size: 14px;
            color: rgba(255,255,255,1);
            border-width: 1px;
            border-style: solid;
            border-color: rgb(221, 16, 16);
            background-color: rgb(221, 16, 16);
            text-align: center;
            position: inherit;
            margin: 0;
            line-height: 42px;
            padding: 0 20px;
            cursor: pointer;
        }

.container {
    min-height: 1000px;
    margin-bottom: 5%;
}

.footer {
    background-color: #222;
    width: 100%;
    /*margin-top: 5%;*/
    text-align: center;
    color: #fff;
    background-color: #333;
}

    .footer .linkDiv {
        padding-top: 2%;
        padding-bottom: 2%;
    }

ul, li {
    list-style: none;
}

.footer .footDiv {
    max-width: 1200px;
    margin: 0 auto;
    height: 80%;
}

    .footer .footDiv .topDiv {
        display: flex;
        width: 100%;
    }

        .footer .footDiv .topDiv .left {
            width: 100%;
        }

        .footer .footDiv .topDiv .right {
            width: 356px;
            border-left: 1px solid #ccc;
            text-align: left;
            padding-left: 100px;
            padding-top: 15px;
            font-size: 12px;
            color: #888;
        }

            .footer .footDiv .topDiv .right div {
                padding-bottom: 10px;
            }

            .footer .footDiv .topDiv .right .company {
                font-size: 16px;
                color: #fff;
                margin-bottom: 28px;
            }

        .footer .footDiv .topDiv li h3 {
            font-weight: normal;
            font-size: 16px;
            color: #fff;
            position: relative;
            padding-bottom: 15px;
            margin: 0 0 10px 0;
            text-align: left;
        }

        .footer .footDiv .topDiv ul li {
            float: left;
            width: 33.33%;
        }

            .footer .footDiv .topDiv ul li dl dd {
                font-size: 12px;
                padding: 5px 0;
                margin: 0;
                text-align: left;
            }

            .footer .footDiv .topDiv ul li a {
                color: #999;
            }

.footer .copyright {
    background-color: #2a2a2a;
    padding: 1% 0px;
}

    .footer .copyright .yearDiv {
        max-width: 1100px;
        margin: 0 auto;
        text-align: left;
        position: relative;
        font-size: 12px;
        color: #ccc;
    }

        .footer .copyright .yearDiv img {
            border: none;
            max-width: 100%;
            vertical-align: middle;
        }


a.go_top {
    position: fixed;
    right: 10%;
    bottom: 20%;
    background: #54545c;
    color: #fff;
    width: 40px;
    height: 40px;
    display: inline-block;
    border-radius: 50%;
    text-align: center;
    line-height: 37px;
    font-size: 20px;
    text-indent: 0;
    margin: 0;
    background-image: none;
    z-index: 1000;
}


.sidebar {
    position: fixed;
    right: 0;
    top: 450px;
}

.sidebar {
    color: #fff;
    z-index: 99999;
}

    .sidebar .item {
        display: flex;
        justify-content: flex-end;
    }

    .sidebar .conent {
        width: 60px;
        height: 60px;
        font-size: 12px;
        background-color: rgba(0,0,0,.4);
        margin-top: 10px;
        cursor: pointer;
        text-align: center;
        color: #fff;
        display: flex;
        align-items: center;
        flex-flow: column;
        justify-content: center;
        transition-duration: 0.8s;
    }

    .sidebar .item .icon {
        font-size: 30px;
    }

    .sidebar .item .hover {
        position: absolute;
        width: 200px;
        background-color: rgba(0,0,0,.4);
        height: 60px;
        right: -200px;
        text-align: center;
        line-height: 60px;
        font-size: 14px;
        margin-top: 10px;
        transition-duration: 0.8s;
    }

    .sidebar .item .hover1 {
        position: absolute;
        width: 358px;
        background-color: rgba(0,0,0,.4);
        height: 60px;
        right: -358px;
        text-align: center;
        line-height: 60px;
        font-size: 14px;
        margin-top: 10px;
        transition-duration: 0.8s;
        display: flex;
    }

        .sidebar .item .hover1 img {
            object-fit: contain;
            border: 1px solid rgb(136 141 140 / 80%);
            padding: 2px;
            position: relative;
            top: -102px;
        }

    .sidebar .item:hover .hover {
        right: 0;
    }

    .sidebar .item:hover .hover1 {
        right: 0;
    }

    .sidebar .item:hover .conent {
        background-color: #fff;
        right: -60px;
    }

.rich_text {
    width: 1100px;
    margin: 0 auto;
    margin-top: 50px;
}

.login-div {
    height: 40px;
    background-color: #fff;
}

    .login-div .login-top {
        display: flex;
        justify-content: space-between;
        align-items: center;
        font-size: 15px;
    }

        .login-div .login-top .right {
            display: flex;
            justify-content: space-between;
        }

            .login-div .login-top .right div {
                padding: 10px;
                cursor: pointer;
            }


a:focus, input:focus {
    outline: none;
}


.fl {
    float: left;
}

.fr {
    float: right;
}

/*数量选择框*/
.num-box {
    display: flex;
    flex-direction: row;
    width: 150px;
    height: 40px;
    line-height: 40px;
    border: 1px solid #e5e5e5;
    font-size: 14px;
}

    .num-box a {
        display: inline-block;
        width: 50px;
        color: #333;
    }

    .num-box input {
        border: 0;
        width: 80px;
        text-align: center;
    }

/*数量选择框*/



.tips-main {
    z-index: 99999;
    margin: 0 auto;
    position: fixed;
    display: inline-table;
    top: 40%;
    left: 0;
    right: 0;
    padding: 30px;
    background: #54545c8a;
    min-height: 60px;
    min-width: 100px;
    text-align: center;
    color: #fff;
    font-size: 18px;
    border-radius: 12px;
}

.checkbox {
    display: inline-block;
    width: 22px;
    height: 22px;
    border: 1px solid #e5e5e5;
    vertical-align: middle;
    margin-right: 8px;
    cursor: pointer;
    background-color: #fff;
}

.checkbox-label {
    font-size: 14px;
    color: #54545c;
}

.checkbox.checked {
    background: url(/images/gou.png) rgb(221, 16, 16) no-repeat 50%;
    background-size: 16px 12px;
    /*border: none;*/
}

.col-1 {
    flex: 1;
}

.col-3 {
    flex: 3;
}

.col-2 {
    flex: 2;
}

/*-------modal-----------*/
.modal {
    position: fixed;
    top: 0px;
    left: 0px;
    width: 100%;
    height: 100%;
    z-index: 100;
    transition: all 0.5s ease 0s;
    display: flex;
    justify-content: center;
    align-items: center;
    animation: modal-slide-in 0.8s forwards; /* 应用动画 */
}

    .modal .mask {
        background-color: rgb(0, 0, 0);
        opacity: 0.5;
        position: fixed;
        top: 0px;
        left: 0px;
        width: 100%;
        height: 100%;
    }

    .modal .modal-dialog {
        position: absolute;
        top: 50%;
        left: 50%;
        width: 660px;
        height: auto;
        background-color: rgb(255, 255, 255);
        transform: translate(-50%, -50%);
        border-radius: 7px;
    }

        .modal .modal-dialog .modal-header {
            height: 47px;
            /*background-color: rgb(255, 161, 6);*/
            padding: 0px 25px;
            line-height: 47px;
            font-size: 16px;
            color: rgb(255, 255, 255);
            border-radius: 6px 6px 0px 0px;
            /*--*/
            height: 47px;
            background-color: rgb(221, 16, 16);
            padding: 0 25px;
            line-height: 47px;
            font-size: 16px;
            color: #fff;
            border-radius: 6px 6px 0 0;
        }

            .modal .modal-dialog .modal-header .icon-close {
                line-height: 10px;
                color: #fff;
                position: absolute;
                top: 17px;
                right: 25px;
                width: 14px;
                height: 14px;
                transition: transform 0.3s ease 0s;
            }

        .modal .modal-dialog .modal-body {
            padding: 42px 40px 54px;
            max-height: 300px;
            font-size: 16px;
            margin-top: 0;
            margin-bottom: 0;
        }

.siteadd {
    padding: 24px 20px;
    box-sizing: border-box;
    background: #fff;
    border-radius: 6px;
}

.siteadd_item {
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px 0;
}

.siteadd_item-l {
    width: 90px;
    font-size: 16px;
    color: #666;
}

.siteadd_item-r {
    width: calc(100% - 90px);
}

.site-input {
    position: relative;
    font-size: 14px;
    display: inline-block;
    width: 100%;
}

.siteadd_item-r input {
    width: 100%;
}

.input__inner {
    -webkit-appearance: none;
    background-color: #fff;
    background-image: none;
    border-radius: 4px;
    border: 1px solid #dcdfe6;
    box-sizing: border-box;
    color: #606266;
    display: inline-block;
    font-size: inherit;
    height: 40px;
    line-height: 40px;
    outline: 0;
    padding: 0 15px;
    transition: border-color .2s cubic-bezier(.645,.045,.355,1);
    width: 100%;
}

.modal-footer {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 10px 0;
    margin-bottom: 20px;
}

    .modal-footer span:first-child {
        margin-left: 0px;
        background-color: #fff;
        color: #909399 !important;
        background: #f4f4f5;
        border-color: #d3d4d6;
    }

    .modal-footer span {
        display: inline-block;
        border-radius: 4px;
        color: #fff;
        text-align: center;
        width: 75px;
        height: 35px;
        line-height: 35px;
        font-size: 14px !important;
        margin-left: 37px;
        color: #fff !important;
        border: none;
        cursor: pointer;
    }

@keyframes modal-slide-in {
    from {
        top: -100%;
    }
    /* 动画开始时的位置 */
    to {
        top: 0;
    }
    /* 动画结束时的位置 */
}


/*-------modal-----------*/

/*-----页码组件-------*/
.pagination {
    display: flex;
}

    .pagination li {
        padding: 5px 10px;
        border: 1px solid #8e8e8e;
        cursor:pointer;
        background-color:#fff;
    }
    .record-count {
        margin-left: 10px;
        line-height: 30px;
    }
.pagination .disabled {
    background-color: #cccccc45;
}
.pagination .active a {
    color: #666;
}
/*-----页码组件-------*/
